/***************************************************************************
 *   Copyright (C) 2003 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "accesstype.h"

const string
translate_access_type(AccessType t)
{
  if (t == PUBLIC)
    return "public:";
  else if (t == PROTECTED)
    return "protected:";
  else
    return "private:";
}

bool
stronger_access_type(AccessType t1, AccessType t2)
{
  return
    (t1 != t2) &&
    (t1 != PUBLIC && t2 == PUBLIC) ||
    (t1 == PRIVATE);
}
