/***************************************************************************
 *   Copyright (C) 2003 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef CLASSDECLS_H
#define CLASSDECLS_H

#include <list>
#include <string>

using std::list;
using std::string;

class ClassDecl;

class ClassDecls : public list<ClassDecl *>
{
 public:
  ClassDecl *retrieve_class_decl(const string &) const;
};

typedef ClassDecls::const_iterator ClassDeclIterator;

#endif
