/***************************************************************************
 *   Copyright (C) 2004 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef DBTYPEGENERATOR_H
#define DBTYPEGENERATOR_H

#include "toptypegenerator.h"

/**
generate the multi type for the _DB methods

@author Lorenzo Bettini
*/
class DBTypeGenerator : public TopTypeGenerator
{
private:
  MultiMethodTypes &db_types;

public:
  DBTypeGenerator(const MultiMethodTypes &mtypes, MultiMethodTypes &ttypes, MultiMethodTypes &dtypes);

protected:
  virtual void generate_type(const string &meth, const MultiMethodType &t);
};

#endif
