/***************************************************************************
 *   Copyright (C) 2003 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "includeheaders.h"

void
IncludeHeaders::change_header(const string &old, const string &new_name)
{
	if (set_of_headers.find (old) == set_of_headers.end ())
	  return;
		
  for (IncludeHeaderIterator it = begin(); it != end (); ++it)
		if ( (*it)->getFileName () == old )
		 {
		   (*it)->changeFileName (new_name);
	   }
		
	set_of_headers.erase (old);
	set_of_headers.insert (new_name);
}
