/***************************************************************************
 *   Copyright (C) 2003 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include <list>
#include <set>
#include <string>

using std::list;
using std::set;
using std::string;

extern string input_file; // the current input file name
extern string main_path; // the path to prepend to other files
extern list<string> sourcepath; // all the paths where sources are
extern set<string> excludeheaders; // header files that must not be processed
extern string input_header_file_ext; // input header file extension
extern string output_header_file_ext; // output header file extension
extern string output_source_file_ext; // output source file extension
extern string output_header_file_suff; // output header file suffix
extern string output_source_file_suff; // output source file suffix
extern string renamed_suffix; // suffix for renamed methods
extern string renamed_main_suffix; // suffix for renamed main methods
extern bool force_regeneration; // force regeneration of output files
extern bool rename_overloaded; // whether to rename overloaded methods
// or double dispatch ones
extern bool invade_target; // whether to directly modify a target
// source
extern bool test_mode; // whether we are in test mode
extern bool modular; // whether we are using the modular mode
extern bool clean_targets; // whether we have to clean targets, previously modified
extern bool no_linenum; // whether not to generate #line statements
extern bool dont_infer_headers; // whether not to use the name of classes to infer the header file
extern bool assume_virtual; // whether all multimethods and multimethods are to be considered as virtual
extern bool assume_multimeth_virtual; // whether all multimethods are to be considered as virtual
extern bool assume_branch_virtual; // whether all multimethods are to be considered as virtual

typedef list<string>::const_iterator sourcepath_iterator;
