/***************************************************************************
 *   Copyright (C) 2003 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "methodbody.h"

MethodBody::~MethodBody()
{
  for (InstructionIterator it = instructions.begin ();
       it != instructions.end (); ++it)
    delete *it;
}

void
MethodBody::addInstruction(MethodInstruction *ins)
{
  instructions.push_back (ins);
}

