/***************************************************************************
 *   Copyright (C) 2004 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef TOPTYPEGENERATOR_H
#define TOPTYPEGENERATOR_H

#include "multitypemodifier.h"

/**
@author Lorenzo Bettini
*/
class TopTypeGenerator : public MultiTypeModifier
{
protected:
  MultiMethodTypes &top_types;

public:
  TopTypeGenerator(const MultiMethodTypes &mtypes, MultiMethodTypes &ttypes);

protected:
  virtual void generate_type(const string &meth, const MultiMethodType &t);
};

#endif
