/***************************************************************************
 *   Copyright (C) 2003 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef ACCESSTYPE_H
#define ACCESSTYPE_H

#include <string>

using std::string;

typedef enum {PUBLIC=0,PROTECTED,PRIVATE} AccessType;

const string
translate_access_type(AccessType t);

// whether t1 is more restricted than t2, e.g., t1 is private and t2 protected
bool
stronger_access_type(AccessType t1, AccessType t2);

#endif // ACCESSTYPE_H
