/***************************************************************************
 *   Copyright (C) 2003 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "classdecls.h"
#include "classdecl.h"

ClassDecl *
ClassDecls::retrieve_class_decl(const string &c) const
{
  for (ClassDeclIterator cit = begin ();
       cit != end (); ++cit)
    if ( (*cit)->getClassName () == c )
      return *cit;

  return 0;
}
