/***************************************************************************
 *   Copyright (C) 2003 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef ERRORMANAGER_H
#define ERRORMANAGER_H

#include <string>

using std::string;

class WithTokenInfo;

class ErrorManager
{
 public:
  void print(const string &, const WithTokenInfo *);
  void print(const string &, const WithTokenInfo &);
  void print(const string &, const string &file, const int line);
  void print(const string &);
  void warning(const string &, const WithTokenInfo *);
  void exit_failure();
};

#endif
