#ifndef FILEUTIL_H
#define FILEUTIL_H

#include <iostream>
#include <string>

using std::string;
using std::ostream;

void open_input_file(const string &file_name);
bool open_input_file_if_exists(const string &file_name);
bool exist_file(const string &file_name);
ostream &open_output_file(const string &file_name);
string to_lower(const string &s);
string get_file_path(const string &s);
string get_file_name_no_ext(const string &);
bool contains_path(const string &);
string strip_file_path(const string &);
string strip_suffix(const string &s, const string &suff);

#endif // FILEUTIL_H
