/***************************************************************************
 *   Copyright (C) 2003 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef FORWARDDECL_H
#define FORWARDDECL_H

#include "progelem.h"

class ForwardDecl : public ProgElem
{
 protected:
  const string file_name_info;

 public:
  ForwardDecl(const string &cl) : ProgElem (cl) {}
  ForwardDecl(const string &cl, const string &f) :
    ProgElem (cl), file_name_info (f) {}

  const string &getFileName() const { return file_name_info; }
};

#endif // FORWARDDECL_H
