/***************************************************************************
 *   Copyright (C) 2004 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "mainglobalvars.h"

// globals
string input_file;
string main_path;
list<string> sourcepath; // all the paths where sources are
set<string> excludeheaders; // header files that must not be processed
string input_header_file_ext; // input header file extension
string output_header_file_ext; // output header file extension
string output_source_file_ext; // output source file extension
string output_header_file_suff; // output header file suffix
string output_source_file_suff; // output source file suffix

bool force_regeneration; // force regeneration of output files
bool rename_overloaded; // whether to rename overloaded methods
// or double dispatch ones
bool invade_target;  // whether to directly modify a target
// source
bool test_mode; // whether we are in test mode
bool modular; // whether we are using the modular mode
bool clean_targets; // whether we have to clean targets, previously modified

string renamed_suffix; // suffix for renamed methods
string renamed_main_suffix; // suffix for renamed main methods

bool no_linenum; // whether not to generate #line statements
bool dont_infer_headers; // whether not to use the name of classes to infer the header file
bool assume_virtual; // whether all multimethods and multimethods are to be considered as virtual
bool assume_multimeth_virtual; // whether all multimethods are to be considered as virtual
bool assume_branch_virtual; // whether all multimethods are to be considered as virtual
