/***************************************************************************
 *   Copyright (C) 2003 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "includeheader.h"

IncludeHeader::IncludeHeader(const string &f) :
  ProgElem (f)
{
  system_include = (f[0] == '<');

  filename = f.substr(1, f.size()-2);
}

void
IncludeHeader::changeFileName(const string &s)
{
    filename = s;
    setText ("\"" + filename + "\"");
}

const string
IncludeHeader::toString() const
{
  return "#include " + getText() ; // FIXME: find another way, in source modifier
}
