/***************************************************************************
 *   Copyright (C) 2004 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "multimethodtype.h"
#include "classdecl.h"
#include "my_sstream.h"

#include <iterator>
#include <algorithm>

MultiMethodType::MultiMethodType()
{
}

MultiMethodType::~MultiMethodType()
{
}

void
MultiMethodType::addBranchType(const BranchType &b)
{
  insert(b);
}

const string
MultiMethodType::toString() const
{
  ostringstream ret;

  ret << "{\n  ";

  std::copy(begin(), end(), std::ostream_iterator<BranchType>(ret, "\n  "));

  ret << "}\n";

  return ret.str();
}
