/***************************************************************************
 *   Copyright (C) 2004 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "multitypemodifier.h"

#include "multimethodtypes.h"

MultiTypeModifier::MultiTypeModifier(const MultiMethodTypes &t)
  : multi_method_types (t)
{
}

void
MultiTypeModifier::generate()
{
  for (MultiMethodTypesIterator it = multi_method_types.begin(); it != multi_method_types.end(); ++it)
    {
      generate_type(it->first, it->second);
    }
}
