/* A Bison parser, made by GNU Bison 2.3.  */

/* Skeleton interface for Bison's Yacc-like parsers in C

   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     NORMAL_T = 258,
     NEWLINE_T = 259,
     IDE_T = 260,
     INCLUDEFILE_T = 261,
     PUBLIC_T = 262,
     PRIVATE_T = 263,
     PROTECTED_T = 264,
     VIRTUAL_T = 265,
     SINGLECOMMENT_T = 266,
     END_BRANCH = 267,
     CONST_T = 268,
     BEGIN_METHOD = 269,
     CLASS_END = 270,
     INCLUDE_T = 271,
     BEGIN_FORWARD_DECL = 272,
     END_TAG = 273,
     BEGIN_PREVIOUS_BRANCH = 274,
     BEGIN_DISPATCH = 275,
     END_METHOD = 276,
     BRANCH_T = 277,
     CLASS_T = 278
   };
#endif
/* Tokens.  */
#define NORMAL_T 258
#define NEWLINE_T 259
#define IDE_T 260
#define INCLUDEFILE_T 261
#define PUBLIC_T 262
#define PRIVATE_T 263
#define PROTECTED_T 264
#define VIRTUAL_T 265
#define SINGLECOMMENT_T 266
#define END_BRANCH 267
#define CONST_T 268
#define BEGIN_METHOD 269
#define CLASS_END 270
#define INCLUDE_T 271
#define BEGIN_FORWARD_DECL 272
#define END_TAG 273
#define BEGIN_PREVIOUS_BRANCH 274
#define BEGIN_DISPATCH 275
#define END_METHOD 276
#define BRANCH_T 277
#define CLASS_T 278




#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
#line 50 "parser.yy"
{
  int tok ; /* command */
  char * ide_string ; /* ide_string : id, ... */
  struct multimethodinfo {
    bool is_virtual; // whether the multimethod is virtual
    char *previous; // possible text before multimethod
  } multimethodinfo ;
  bool boolean;

  class NormalText *normaltext;
  class ProgElem *progelem;
  class ClassDecl *classdecl;
  class BaseClass *baseclass;
  BaseClasses *baseclasses;
  DerivedType derivedtype;
  class DeclType *decl_type;
  class MultiMethod *multimethod;
  class MethDecl *methdecl;
  class MethParam *methparam;
  class MethParams *methparams;
  class MethodBody *methodbody;
  MethodInstruction *methinstr;
  class ClassEnd *classend;
  class ForwardDecl *forwarddecl;
  class ForwardDecls *forwarddecls;
  class IncludeHeader *includeheader;
  class VirtMultiMethod *virtualmultimethod;
  class DispatchMeths *dispatchmeths;
  class Methods *methods;
}
/* Line 1489 of yacc.c.  */
#line 126 "parser.h"
	YYSTYPE;
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif

extern YYSTYPE yylval;

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif

extern YYLTYPE yylloc;
