#include "multimethod.h"

#include "includeheader.h"

#include "classend.h"

#include "classdecl.h"

#include "progelem.h"

#include "sourcemodifier.hpp"

void
SourceModifier::transform_elem_DB(ProgElem * elem, ProgElems * modified_decl, ProgElems * modified_meth)
{
  elem->dispatch_transform_elem(this, modified_decl, modified_meth);
}

void
ClassDecl::dispatch_transform_elem(SourceModifier *SourceModifier_o, ProgElems * modified_decl, ProgElems * modified_meth)
{
  SourceModifier_o->_forward_transform_elem(this, modified_decl, modified_meth);
}

void
ClassEnd::dispatch_transform_elem(SourceModifier *SourceModifier_o, ProgElems * modified_decl, ProgElems * modified_meth)
{
  SourceModifier_o->_forward_transform_elem(this, modified_decl, modified_meth);
}

void
IncludeHeader::dispatch_transform_elem(SourceModifier *SourceModifier_o, ProgElems * modified_decl, ProgElems * modified_meth)
{
  SourceModifier_o->_forward_transform_elem(this, modified_decl, modified_meth);
}

void
MultiMethod::dispatch_transform_elem(SourceModifier *SourceModifier_o, ProgElems * modified_decl, ProgElems * modified_meth)
{
  SourceModifier_o->_forward_transform_elem(this, modified_decl, modified_meth);
}

void
ProgElem::dispatch_transform_elem(SourceModifier *SourceModifier_o, ProgElems * modified_decl, ProgElems * modified_meth)
{
  SourceModifier_o->_forward_transform_elem(this, modified_decl, modified_meth);
}

