/***************************************************************************
 *   Copyright (C) 2003 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "tokeninfo.h"

#include "baseclass.h" // for including parser.h
#include "methodbody.h" // for including parser.h

#include "parser.h"

// defined by bison and flex
extern YYLTYPE yylloc ;
extern int yyleng ;

// defined by me in scanner.ll
extern int tokenpos;
extern int line;

void
updateTokenInfo( int pos )
{
  /*
  if ( pos >= 0 )
    tokenpos += pos ;
  else
    tokenpos += yyleng ;
  */

  yylloc.first_line = line ;
}
