/***************************************************************************
 *   Copyright (C) 2003 by Lorenzo Bettini                                 *
 *   http://www.lorenzobettini.it                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef UNIQUECOUNTER_H
#define UNIQUECOUNTER_H

#include "my_sstream.h"
#include <string>

using std::string;

class UniqueCounter
{
 unsigned int counter;

public:
 UniqueCounter() : counter(0) {}

 const string next(const string &pref)
 {
   ostringstream s;
   s << pref << ++counter;
   return s.str();
 }
};

#endif // UNIQUECOUNTER_H
